org.keycloak.authentication.authenticators.x509

## Class CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder

- java.lang.Object
- - org.keycloak.authentication.authenticators.x509.CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder

- Enclosing class:
    CertificateValidator.CertificateValidatorBuilder

      public class CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateValidator.CertificateValidatorBuilder` | `back()`
    `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder` | `enablecRLSignBit()`
    `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder` | `enableDataEncriphermentBit()`
    `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder` | `enableDecipherOnlyBit()`
    `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder` | `enableDigitalSignatureBit()`
    `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder` | `enableEnciphermentOnlyBit()`
    `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder` | `enableKeyAgreementBit()`
    `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder` | `enableKeyCertSign()`
    `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder` | `enableKeyEnciphermentBit()`
    `CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder` | `enableNonRepudiationBit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### enableDigitalSignatureBit

          public CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder enableDigitalSignatureBit()

    - #### enablecRLSignBit

          public CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder enablecRLSignBit()

    - #### enableDataEncriphermentBit

          public CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder enableDataEncriphermentBit()

    - #### enableDecipherOnlyBit

          public CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder enableDecipherOnlyBit()

    - #### enableEnciphermentOnlyBit

          public CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder enableEnciphermentOnlyBit()

    - #### enableKeyAgreementBit

          public CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder enableKeyAgreementBit()

    - #### enableKeyEnciphermentBit

          public CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder enableKeyEnciphermentBit()

    - #### enableKeyCertSign

          public CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder enableKeyCertSign()

    - #### enableNonRepudiationBit

          public CertificateValidator.CertificateValidatorBuilder.KeyUsageValidationBuilder enableNonRepudiationBit()

    - #### back

          public CertificateValidator.CertificateValidatorBuilder back()

Copyright © 2021 JBoss by Red Hat. All rights reserved.